<?php

namespace App\Http\Controllers;

use App\foodSection;
use Illuminate\Http\Request;

class FoodSectionController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
        foodSection::create($request->all());
        flash('Food Section Added Successfully')->success();

        return redirect()->back();
    }

    /**
     * Display the specified resource.
     *
     * @param \App\foodSection $foodSection
     * @return \Illuminate\Http\Response
     */
    public function show(foodSection $foodSection)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\foodSection $foodSection
     * @return \Illuminate\Http\Response
     */
    public function edit(foodSection $foodSection)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\foodSection $foodSection
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, foodSection $foodSection)
    {
        $foodSection->update($request->all());

        flash('Section Updated Successfully')->success();
        return redirect()->back();
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\foodSection $foodSection
     * @return \Illuminate\Http\Response
     */
    public function destroy(foodSection $foodSection)
    {
        $foodSection->delete();
        flash('Menu Section Deleted Successfully')->warning();
        return redirect()->back();
    }
}
