<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class foodSection extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        return [
            'id' => $this->id,
            'title' => $this->name,
            'count' => $this->foodItems->count(),
            'food_items' => foodItem::collection($this->foodItems()->active()->get()),
        ];
    }
}
