// Initialize the Firebase app by passing in the messagingSenderId


var config = {
    apiKey: "AIzaSyDpOjROyjNAdrJpHzcL3IwFONPM8vfs-IQ",
    authDomain: "foodycode-866ff.firebaseapp.com",
    databaseURL: "https://foodycode-866ff.firebaseio.com",
    projectId: "foodycode-866ff",
    storageBucket: "",
    messagingSenderId: "317358943131",
    appId: "1:317358943131:web:595e11675e0d7522990f3e"
};


setTimeout(function () {


    firebase.initializeApp(config);
    const messaging = firebase.messaging();

// Request for permission
    messaging.requestPermission()
        .then(function () {
            console.log('Notification permission granted.');
            // TODO(developer): Retrieve an Instance ID token for use with FCM.
            messaging.getToken()
                .then(function (currentToken) {
                    console.log(currentToken);
                    if (currentToken) {
                        console.log('Token: ' + currentToken)
                        sendTokenToServer(currentToken);
                    } else {
                        console.log('No Instance ID token available. Request permission to generate one.');
                        setTokenSentToServer(false);
                    }
                })
                .catch(function (err) {
                    console.log('An error occurred while retrieving token. ', err);
                    setTokenSentToServer(false);
                });
        })
        .catch(function (err) {
            console.log('Unable to get permission to notify.', err);
        });
// Handle incoming messages
    messaging.onMessage(function (payload) {

        console.log(payload)

        if (payload.notification.title == "New Order Received")
            newOrderNotification(payload.notification.title, payload.notification.body);


    });

// Callback fired if Instance ID token is updated.
    messaging.onTokenRefresh(function () {
        messaging.getToken()
            .then(function (refreshedToken) {
                console.log('Token refreshed.');
                // Indicate that the new Instance ID token has not yet been sent
                // to the app server.
                setTokenSentToServer(false);
                // Send Instance ID token to app server.
                sendTokenToServer(refreshedToken);
            })
            .catch(function (err) {
                console.log('Unable to retrieve refreshed token ', err);
            });
    });

// Send the Instance ID token your application server, so that it can:
// - send messages back to this app
// - subscribe/unsubscribe the token from topics
    function sendTokenToServer(currentToken) {
        if (!isTokenSentToServer()) {
            console.log('Sending token to server...');
            // TODO(developer): Send the current token to your server.
            console.log(currentToken);
            $.ajax({
                url: '/set_fcm_token',
                type: 'POST',
                dataType: 'json',
                data: {
                    web_token: currentToken
                },
            }).done(function (data) {

                console.log(data)


            });


            setTokenSentToServer(true);
        } else {
            console.log('Token already sent to server so won\'t send it again ' +
                'unless it changes');
        }
    }

    function isTokenSentToServer() {
        return window.localStorage.getItem('sentToServer') == 1;
    }

    function setTokenSentToServer(sent) {
        window.localStorage.setItem('sentToServer', sent ? 1 : 0);
    }


}, 3000);


function newOrderNotification(title, body) {
    $.notify(body, "success");
    audio.play();
    try {
        ordes_table.ajax.reload();

    } catch (e) {
        console.log(e);
    }


}
