<?php

namespace App\Http\Controllers\Api;

use App\Http\Resources\foodSection;
use App\Restaurant;
use http\Env\Response;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class foodItemController extends Controller
{
    //
    public function getFoodItems(Request $request)
    {

        try {

            $restaurant = Restaurant::where('slug', $request->slug)->first();
            return response()->json(array('restaurant_id' => $restaurant->id, 'restaurant_detail' => array('name' => $restaurant->name, 'address' => $restaurant->address, 'image' => $restaurant->image), 'food_sections' => foodSection::collection($restaurant->foodSections), 'error' => false, 'message' => 'food sections fetched successfully'));

        } catch (\Exception $exception) {
            return Response()->json(array('error' => $exception->getMessage()));
        }


    }


}
