<?php

namespace App\traits;

use GuzzleHttp\Client;

trait hasFirebase
{
    protected $dataDetails;

    public function sendNotification($params)
    {

        $this->toType($params['title'], $params['body'], $params['redirect'], 'web', $params['type']);
        $this->toType($params['title'], $params['body'], $params['redirect'], 'ios', $params['type']);
        $this->toType($params['title'], $params['body'], $params['redirect'], 'android', $params['type']);

    }

    public function toType($title, $body, $redirect, $type, $noti_type = null)
    {


        $reg_id = $this->{$type . "_token"};
        if (!$reg_id)
            return false;

        $access_token = 'AAAASeQRK5s:APA91bFoThKYmIA00tsZ5EQw3Y5bySfK7qljq8DiQYMF9FlrvLYilMKvQjTw3vacgRUEXksp38bw-HqmSh9PxeN7i2eoMTM_m8A2CNGMVTmbia_PD3yxFlNvd44_NUbEfLVFD76vIp3p';

        if ($type == 'web')
            $message = [
                'notification' => [
                    'title' => $title,
                    'body' => $body,
                    "click_action" => $redirect,
                    'sound' => 'default',


                ],

                'data' => [
                    'sound' => 'default',
                    'priority' => 'high',
                    'content_available' => false,
                    'title' => $title,
                    'body' => $body,
                    "click_action" => $redirect,


                ],
                'to' => $reg_id
            ];
        else
            $message = [
                'data' => [
                    'sound' => 'default',
                    'priority' => 'high',
                    'content_available' => false,
                    'title' => $title,
                    'body' => $body,
                    "click_action" => $redirect,


                ],
                'to' => $reg_id
            ];

        $client = new Client([
            'headers' => [
                'Content-Type' => 'application/json',
                'Authorization' => 'key=' . $access_token,
            ]
        ]);
        $response = $client->post('https://fcm.googleapis.com/fcm/send',
            ['body' => json_encode($message)]
        );

        return true;
    }


}
