var map;
var default_loc = {lat: 24.4415204, lng: 54.6484107};
var myMarker;


function gSetLatLng(lat, lng) {

    $('#lat').val(lat);
    $('#lng').val(lng);


}


function initMap() {

    if (typeof rest_loc !== 'undefined') {
        if (rest_loc)
            default_loc = rest_loc;

}


    console.log(default_loc);
    map = new google.maps.Map(document.getElementById('map-canvas'), {
        center: default_loc,
        streetViewControl: false,
        zoom: 15
    });


    myMarker = new google.maps.Marker({
        position: default_loc,
        map: map,
        draggable: true

    });


}


$(document).ready(function (e) {
    initMap();

    if (navigator.geolocation) {
        navigator.geolocation.getCurrentPosition(function (position) {
            var latlng = new google.maps.LatLng(position.coords.latitude, position.coords.longitude);

            myMarker.setPosition(latlng);


            map.setCenter(latlng);

        });
    }


});


var SearchBox = new google.maps.places.SearchBox(
    document.getElementById('mapsearch')
);
google.maps.event.addListener(SearchBox, 'places_changed', function () {
    //location.getLatitude()

    var places = SearchBox.getPlaces();
    var bounds = new google.maps.LatLngBounds();
    var i, place;
    for (i = 0; place = places[i]; i++) {

        bounds.extend(place.geometry.location);


        myMarker.setPosition(place.geometry.location);
    }
    map.fitBounds(bounds);
    map.setZoom(15);


    gSetLatLng(myMarker.position.lat(), myMarker.position.lng())


});

setTimeout(function () {
    google.maps.event.addListener(
        myMarker,
        'drag',
        function (event) {

            gSetLatLng(this.position.lat(), this.position.lng())

        })

}, 2000);

$('#confirm-loc').click(function (event) {
    event.preventDefault();
    gSetLatLng(myMarker.position.lat(), myMarker.position.lng());


});



